﻿using System;
using System.Data;
        
using System.Data.SqlClient;
    
public partial class EmployeeDB
{
    public EmployeeDetails GetEmployee(int employeeID)
    {
        SqlConnection con = new SqlConnection(connectionString);
        SqlCommand cmd = new SqlCommand("GetEmployee", con);
        cmd.CommandType = CommandType.StoredProcedure;
        cmd.Parameters.Add(new SqlParameter("@EmployeeID", SqlDbType.Int, 4));
        cmd.Parameters["@EmployeeID"].Value = employeeID;
    
        try
        {
            con.Open();
            SqlDataReader reader = cmd.ExecuteReader(CommandBehavior.SingleRow);
            // Получить первую строку
            reader.Read();
            EmployeeDetails emp = new EmployeeDetails(
                (int)reader["EmployeeID"],
                (string)reader["FirstName"],
                (string)reader["LastName"],
                (string)reader["TitleOfCourtesy"]);
            reader.Close();
            return emp;
        }
        catch
        {
            throw new ApplicationException("Ошибка данныx.");
        }
        finally
        {
            con.Close();
        }
    }
}
