﻿using System;
using System.Data;
    
using System.Web.Configuration;
using System.Data.SqlClient;
    
public partial class DataViewFiltered : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        // Содать Connection, DataAdapter и DataSet
        string connectionString = WebConfigurationManager.
            ConnectionStrings["Northwind"].ConnectionString;
        SqlConnection con = new SqlConnection(connectionString);
        string sql = 
            "SELECT ProductID, ProductName, UnitsInStock, UnitsOnOrder, "
          + "Discontinued FROM Products";
        SqlDataAdapter adapter = new SqlDataAdapter(sql, con);
        DataSet dataset = new DataSet();
        adapter.Fill(dataset, "ProductsTable");
    
        // Фильтровать продукт Chocolade
        DataView view1 = new DataView(dataset.Tables["ProductsTable"]);
        view1.RowFilter = "ProductName = 'Chocolade'";
        GridView1.DataSource = view1;
    
        // Фильтровать продукты, которых нет в заказах и на складе
        DataView view2 = new DataView(dataset.Tables["ProductsTable"]);
        view2.RowFilter = "UnitsInStock = 0 AND UnitsOnOrder = 0";
        GridView2.DataSource = view2;
    
        // Фильтровать продукты, чье название начинается с буквы P
        DataView view3 = new DataView(dataset.Tables["ProductsTable"]);
        view3.RowFilter = "ProductName LIKE 'P%'";
        GridView3.DataSource = view3;
    
        // Загрузить привязанные данные во все элементы отображения GridView
        this.DataBind();
    }
}
