<%@ Page Language="C#" %>
    
<script runat="server">
    
    //   
    //  
    string sql1 =
        "CREATE PROCEDURE InsertEmployee "
      + "@EmployeeID		int OUTPUT,"
      + "@FirstName			varchar(10),"
      + "@LastName			varchar(20),"
      + "@TitleOfCourtesy	varchar(25) "
      + "AS "
      + "INSERT INTO Employees "
      + "(TitleOfCourtesy, LastName, FirstName, HireDate) "
      + "VALUES(@TitleOfCourtesy, @LastName, @FirstName, GETDATE()) "
      + "SET @EmployeeID = @@IDENTITY";
    
    //  
    string sql2 =
        "CREATE PROCEDURE DeleteEmployee "
      + "@EmployeeID		int "
      + "AS "
      + "DELETE FROM Employees WHERE EmployeeID = @EmployeeID";
    
    //  
    string sql3 =
        "CREATE PROCEDURE UpdateEmployee "
      + "@EmployeeID		int, "
      + "@FirstName			varchar(10),"
      + "@LastName			varchar(20),"
      + "@TitleOfCourtesy	varchar(25) "
      + "AS "
      + "UPDATE Employees "
      + "SET "
      + "FirstName = @FirstName,"
      + "LastName = @LastName,"
      + "TitleOfCourtesy = @TitleOfCourtesy "
      + "WHERE EmployeeID = @EmployeeID";
    
    //  
    string sql4 =
        "CREATE PROCEDURE GetAllEmployees "
      + "AS "
      + "SELECT EmployeeID, FirstName, LastName, TitleOfCourtesy "
      + "FROM Employees";
    
    //   
    string sql5 =
        "CREATE PROCEDURE CountEmployees "
      + "AS "
      + "SELECT COUNT(EmployeeID) "
      + "FROM Employees";
    
    //  
    string sql6 =
        "CREATE PROCEDURE GetEmployee "
      + "@EmployeeID		int "
      + "AS "
      + "SELECT EmployeeID, FirstName, LastName, TitleOfCourtesy "
      + "FROM Employees "
      + "WHERE EmployeeID = @EmployeeID";
    
    protected void Page_Load(object sender, EventArgs e)
    {
        //     web.config
        string connectString = System.Web.Configuration.WebConfigurationManager.
            ConnectionStrings["Northwind"].ConnectionString;
    
        //   
        System.Data.SqlClient.SqlConnection con =
            new System.Data.SqlClient.SqlConnection(connectString);
    
        //   Command
        System.Data.SqlClient.SqlCommand cmd =
            new System.Data.SqlClient.SqlCommand();
    
        //   Command
        cmd.Connection = con;
        cmd.CommandType = System.Data.CommandType.Text;
    
        lblInfo.Text = "";
    
        //     
        try
        {
            con.Open();
        }
        catch
        {
            con.Close();
            return;
        }
    
        //     
        //        
        try
        {
            cmd.CommandText = "DROP PROCEDURE InsertEmployee";
            cmd.ExecuteNonQuery();
            lblInfo.Text += " \"DROP PROCEDURE InsertEmployee\"<br />";
        }
        catch { }
        try
        {
            cmd.CommandText = "DROP PROCEDURE DeleteEmployee";
            cmd.ExecuteNonQuery();
            lblInfo.Text += " \"DROP PROC DeleteEmployee\"<br />";
        }
        catch { }
        try
        {
            cmd.CommandText = "DROP PROCEDURE UpdateEmployee";
            cmd.ExecuteNonQuery();
            lblInfo.Text += " \"DROP PROCEDURE UpdateEmployee\"<br />";
        }
        catch { }
        try
        {
            cmd.CommandText = "DROP PROCEDURE GetAllEmployees";
            cmd.ExecuteNonQuery();
            lblInfo.Text += " \"DROP PROCEDURE GetAllEmployees\"<br />";
        }
        catch { }
        try
        {
            cmd.CommandText = "DROP PROCEDURE CountEmployees";
            cmd.ExecuteNonQuery();
            lblInfo.Text += " \"DROP PROCEDURE CountEmployees\"<br />";
        }
        catch { }
        try
        {
            cmd.CommandText = "DROP PROCEDURE GetEmployee";
            cmd.ExecuteNonQuery();
            lblInfo.Text += " \"DROP PROCEDURE GetEmployee\"<br />";
        }
        catch { }
    
        //     
        //      
        try
        {
            cmd.CommandText = sql1;
            cmd.ExecuteNonQuery();
            lblInfo.Text += " \"CREATE PROCEDURE InsertEmployee\"<br />";
        }
        catch { }
        try
        {
            cmd.CommandText = sql2;
            cmd.ExecuteNonQuery();
            lblInfo.Text += " \"CREATE PROCEDURE DeleteEmployee\"<br />";
        }
        catch { }
        try
        {
            cmd.CommandText = sql3;
            cmd.ExecuteNonQuery();
            lblInfo.Text += " \"CREATE PROCEDURE UpdateEmployee\"<br />";
        }
        catch { }
        try
        {
            cmd.CommandText = sql4;
            cmd.ExecuteNonQuery();
            lblInfo.Text += " \"CREATE PROCEDURE GetAllEmployees\"<br />";
        }
        catch { }
        try
        {
            cmd.CommandText = sql5;
            cmd.ExecuteNonQuery();
            lblInfo.Text += " \"CREATE PROCEDURE CountEmployees\"<br />";
        }
        catch { }
        try
        {
            cmd.CommandText = sql6;
            cmd.ExecuteNonQuery();
            lblInfo.Text += " \"CREATE PROCEDURE GetEmployee\"<br />";
    
        }
        catch { }
        finally
        {
            con.Close();
        }
    }
</script>
    
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:Label ID="lblInfo" runat="server" />
    </form>
</body>
</html>
