﻿using System;
using System.Data;
    
using System.Data.SqlClient;
using System.Collections.Generic;
    
public partial class EmployeeDB
{
    public List<EmployeeDetails> GetAllEmployees()
    {
        SqlConnection con = new SqlConnection(connectionString);
        SqlCommand cmd = new SqlCommand("GetAllEmployees", con);
        cmd.CommandType = CommandType.StoredProcedure;
    
        // Создать коллекцию для всех записей 
        List<EmployeeDetails> employees = new List<EmployeeDetails>();
    
        try
        {
            con.Open();
            SqlDataReader reader = cmd.ExecuteReader();
            while (reader.Read())
            {
                EmployeeDetails emp = new EmployeeDetails(
                (int)reader["EmployeeID"],
                (string)reader["FirstName"],
                (string)reader["LastName"],
                (string)reader["TitleOfCourtesy"]);
                employees.Add(emp);
            }
            reader.Close();
            return employees;
        }
        catch
        {
            throw new ApplicationException("Ошибка данныx.");
        }
        finally
        {
            con.Close();
        }
    }
}
